## org.biojava.bibliography
Class BiblioPatent

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioPatent

    public class BiblioPatent

extends BibRef

It represents a patent.

Since:
  1.3
Version:
  $Id: BiblioPatent.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`String[]` `applicants` Array of applicants.
`String` `docNumber` The document number.
`String` `docOffice` Document office.
`String` `docType` Document type.

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioPatent()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### docNumber

    public String docNumber

  The document number.

### docOffice

    public String docOffice

  Document office.

### docType

    public String docType

  Document type.

### applicants

    public String[] applicants

  Array of applicants.

Constructor Detail

### BiblioPatent

    public BiblioPatent()